Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2177529 - F38FailsToInstall: rust-reedline+clipboard-devel, rust-reedline+rusqlite-devel, rust-reedline+sqlite-devel
Summary: F38FailsToInstall: rust-reedline+clipboard-devel, rust-reedline+rusqlite-deve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-reedline
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F38FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2023-03-12 19:00 UTC by Fedora Fails To Install
Modified: 2023-06-05 01:19 UTC (History)
3 users (show)

Fixed In Version: rust-reedline-0.19.1-2.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-06-05 01:19:44 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Fedora Fails To Install 2023-03-12 19:00:38 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (rust-reedline) Fails To Install in Fedora 38:

can't install rust-reedline+clipboard-devel:
  - nothing provides (crate(clipboard/default) >= 0.5.0 with crate(clipboard/default) < 0.6.0~) needed by rust-reedline+clipboard-devel-0.16.0-1.fc38.noarch
  
can't install rust-reedline+rusqlite-devel:
  - nothing provides (crate(rusqlite/default) >= 0.28.0 with crate(rusqlite/default) < 0.29.0~) needed by rust-reedline+rusqlite-devel-0.16.0-1.fc38.noarch
  
can't install rust-reedline+sqlite-devel:
  - nothing provides (crate(rusqlite/bundled) >= 0.28.0 with crate(rusqlite/bundled) < 0.29.0~) needed by rust-reedline+sqlite-devel-0.16.0-1.fc38.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-38-x86_64 --config-opts mirrored=False install rust-reedline+clipboard-devel rust-reedline+rusqlite-devel rust-reedline+sqlite-devel


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Fedora Fails To Install 2023-03-21 08:49:38 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 7+ weeks.
This is the first reminder (step 3) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 2 Fedora Fails To Install 2023-04-11 11:15:24 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

This package fails to install and maintainers are advised to take one of the following actions:

 - Fix this bug and close this bugzilla once the update makes it to the repository.
   (The same script that posted this comment will eventually close this bugzilla
   when the fixed package reaches the repository, so you don't have to worry about it.)

or

 - Move this bug to ASSIGNED if you plan on fixing this, but simply haven't done so yet.

or

 - Orphan the package if you no longer plan to maintain it.


If you do not take one of these actions, the process at https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs will continue.
This package may be orphaned in 4+ weeks.
This is the second reminder (step 4) from the policy.

Don't hesitate to ask for help on devel.org if you are unsure how to fix this bug.

Comment 3 Fedora Fails To Install 2023-05-15 11:42:06 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/rust-reedline by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 4 Fedora Update System 2023-05-27 02:58:01 UTC
FEDORA-2023-ce25220fcf has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ce25220fcf

Comment 5 Fedora Update System 2023-05-28 03:09:05 UTC
FEDORA-2023-ce25220fcf has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ce25220fcf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ce25220fcf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-06-05 01:19:44 UTC
FEDORA-2023-ce25220fcf has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.